
<form action="<%=controllerPath %>#tab1" method="post">
<fieldset>

<LEGEND>Basic configuration</LEGEND>
<DIV class="notes">
	<H4>Basic Configuration</H4>
	<P class="last">These parameters define how the server behaves at runtime. <br><br>
	<strong>Http port </strong>is the value for TCP/IP port on which the HTTP server will listen on. The HTTP server is only used to modify configuration of this SMTP server.<br><br>
	<strong>Smtp port </strong>is the value TCP/IP port on which e-mails will be received. Default value is 25<br><br>
	<strong>Retry count and Interval </strong> determines how long this server will try to re-send a non-deliverable message before giving up. For example, a retry
count of 500 and an interval of 10 means the server will keep retrying for up to 5000 minutes or 83 hours before giving up.

	
</P>
</DIV>



<DIV class="required">
	<LABEL for="httpPort">Web Server Port:</LABEL>			
	<INPUT type="text" name="httpPort" id="httpPort" class="inputText" title="TCP/IP port on which you connect using your browser to this Admin Console."
	size="6" maxlength="6" value="<%=request.getAttribute("httpPort") %>" />
</DIV>

<DIV class="required">
	<LABEL for="smtpPort">Smtp Port:</LABEL>			
	<INPUT type="text" name="smtpPort" id="smtpPort" class="inputText" title="TCP/IP port on which the SMTP server listens on"	
	size="6" maxlength="6" value="<%=request.getAttribute("smtpPort") %>" />
</DIV>


<DIV class="required">
	<LABEL for="bindingIP">Binding IP:</LABEL>
	<SELECT name="bindingIP" id="bindingIP" class="selectOne"  title="IP Address of your local machine on which the server listens on">
		<%=request.getAttribute("smtpBindingIP") %>
	</SELECT>
	<small>Select the IP address on your machine on which this server will listen on.</small>	
</DIV>

<DIV class="required">
	<LABEL for="retryInterval">Retry Interval:</LABEL>			
	<INPUT type="text" name="retryInterval" id="retryInterval" class="inputText" title="Number of minutes to wait before a non-delivered email is sent again."
	size="6" maxlength="6" value="<%=request.getAttribute("smtpRetryInterval") %>" />
	<small>Number of minutes to wait before a non-delivered email is sent again.</small>
</DIV>

<DIV class="required">
	<LABEL for="retryCount">Retry Count:</LABEL>			
	<INPUT type="text" name="retryCount" id="retryCount" class="inputText"	title="Number of retry attempts made by the server before an email is considered a non-deliverable."
	size="6" maxlength="6" value="<%=request.getAttribute("smtpRetryCount") %>" />
	<small>Number of retry attempts made by the server before an email is considered a non-deliverable.</small>
</DIV>


<DIV class="optional">
	<LABEL for="dnsServer">DNS Server:</LABEL>			
	<INPUT type="text" name="dnsServer" id="dnsServer" class="inputText" title="DNS server used to resolve MX records for out-bound emails."
	 value="<%=request.getAttribute("dnsServer") %>" />
	<small>Leave blank if you want to use the DNS server configured for the machine. Otherwise, specify the IP address of the server you wish to use.</small>
</DIV>


<DIV class="required">
				
	<INPUT type="checkbox" name="ndrEnabled" id="ndrEnabled" class="inputCheckbox" value="1" <%=request.getAttribute("ndrEnabled").equals("true") ? "checked" : "" %> /> Enabled NDR
	<small>If checked, server will generate a non-delivery report for messages that are not delivered
to its final destination</small>
</DIV>

<DIV class="required">
				
	<INPUT type="checkbox" name="sendBodyInNDR" id="sendBodyInNDR" class="inputCheckbox" value="1" <%=request.getAttribute("sendBodyInNDR").equals("true") ? "checked" : "" %>/> Include original message in NDR
	<small>If checked, an NDR email will contain the original message. Otherwise, it will only contain 
	some important headers.</small>
</DIV>

<DIV class="optional">
				
	<LABEL for="senderEmailForNdr">NDR sender:</LABEL>			
	<INPUT type="text" name="senderEmailForNdr" id="senderEmailForNdr" class="inputText" title="E-mail adderss used to generate NDR messages"
	 value="<%=request.getAttribute("senderEmailForNdr") %>" />
	<small>E-mail address used to send non-delivery report. For example, postmaster@yourcompany.com</small>
</DIV>

<DIV>				
	<INPUT type="submit" class="inputSubmit" value="Save" />				
	<INPUT type="submit" class="inputSubmit" value="Cancel" />
</DIV>

</fieldset>

<input type='hidden' name='operation' value='serverConfig'>
<input type='hidden' name='ctype' value='basic'>

</form>