
<form action="<%=controllerPath %>#tab4" method="post">
<fieldset>

<LEGEND>Relaying options</LEGEND>
<DIV class="notes">
	<H4>What is smtp relay</H4>
	<P class="last">By default, an SMTP server accepts e-mails for local domains only. By
specifying relaying rules, you can configure this server to accept out-bound messages for 
other domains as well.</P>
</DIV>



<DIV class="required">
				
	<INPUT type="checkBox" name="enableOpenRelay" id="enableOpenRelay" title="Check to make this server an open relay" class="inputCheckbox" value="1" <%=request.getAttribute("openRelay").equals("true") ? "checked" : "" %> /> 
	Enable open relay.
	<small>If checked, this server will accept e-mails for every domain. Do <b>NOT</b> check
this box if this server is accessible from the Internet. <p><strong>Important:</strong> 
if this option is checked, the remaining fields on this screen will be ignored.</small>
</DIV>

<DIV class="required">
		
	<INPUT type="checkBox" name="enableAuth" id="enableAuth" class="inputCheckbox" title="Check to enable authentication before accepting out-bound emails" value="1" <%=request.getAttribute("requireAuthentication").equals("true") ? "checked" : "" %> />
	Enable user authentication
	<small>Check this box if you wish the server to challenge the user with a user id/password before
accepting an out-bound e-mail. You can configure users in the <a href='app?operation=serverConfig#tab3'>User Configuration</a> tab.</small>
</DIV>



<DIV class="optional">
	<label for="allowedIP">Allowed IP address</label>
	<INPUT type="text" name="allowedIP" id="allowedIP" class="inputText" value="" />
	<small>Specify an IP address that is allowed to send out-bound messages.</small>
</DIV>
<DIV>				
	<INPUT type="submit" class="inputSubmit" value="Save" />				
	<INPUT type="submit" class="inputSubmit" value="Cancel" />
</DIV>

</fieldset>

<input type='hidden' name='operation' value='serverConfig'>
<input type='hidden' name='ctype' value='addRelayIP'>

</form>




<p>


<%
java.util.List<String> allowedIP = (java.util.List)request.getAttribute("allowedIP");


if(allowedIP != null && allowedIP.size() > 0){
	
	
	%>
	<h3>IP Address(es) allowed to relay</h3>
	The following list shows a list of IP addresses that are allowed to relay messages to other domains on the Internet.
	<table class="greyBorder" width='400'>
	
	<tr><th>IP Address</th><th>Action</th></tr>
	<%
	
	for(int i = 0; i < allowedIP.size(); i++){	
	%>
	<tr>
		<td><%=allowedIP.get(i) %></td>
		<td align="center"><a href="<%=controllerPath %>?operation=serverConfig&ctype=removeIP&ipaddress=<%=allowedIP.get(i) %>#tab4">Delete IP Address</a></td>
	</tr>
	<%	
	}
	%>
	</table>
	<%
}
%>





